<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getServerSecurityLevel](./bitburner.ns.getserversecuritylevel.md)

## NS.getServerSecurityLevel() method

Get server security level.

**Signature:**

```typescript
getServerSecurityLevel(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of target server. |

**Returns:**

number

Security level of the target server.

## Remarks

RAM cost: 0.1 GB

Returns the security level of the target server. A server’s security level is denoted by a number, typically between 1 and 100 (but it can go above 100).

